ata_std_postreset
Prev | Chapter 4. libata Library | Next

## Name

ata_std_postreset — standard postreset callback

## Synopsis

`void ata_std_postreset (` | struct ata_link * | link,
| unsigned int * | classes`)`;

## Arguments

`link`

  the target ata_link

`classes`

  classes of attached devices

## Description

This function is invoked after a successful reset. Note that the device might have been reset more than once using different reset methods before postreset is invoked.

## LOCKING

Kernel thread context (may sleep)

Prev | Up | Next
sata_std_hardreset | Home | ata_std_qc_defer